Package org.apache.commons.beanutils

## Class ConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.beanutils.ConversionException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ConversionException
    extends java.lang.RuntimeException

A ConversionException indicates that a call to `Converter.convert()` has failed to complete successfully.

Since:
  1.3
Version:
  $Id$
See Also:
  Serialized Form

### Field Summary

Fields
`protected java.lang.Throwable` `cause` The root cause of this `ConversionException`, compatible with JDK 1.4's extensions to `java.lang.Throwable`.

### Constructor Summary

Constructors
`ConversionException​(java.lang.String message)` Construct a new exception with the specified message.
`ConversionException​(java.lang.String message, java.lang.Throwable cause)` Construct a new exception with the specified message and root cause.
`ConversionException​(java.lang.Throwable cause)` Construct a new exception with the specified root cause.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Throwable` `getCause()` Return the root cause of this conversion exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cause

    protected java.lang.Throwable cause

The root cause of this `ConversionException`, compatible with JDK 1.4's extensions to `java.lang.Throwable`.

### Constructor Detail

#### ConversionException

    public ConversionException​(java.lang.String message)

Construct a new exception with the specified message.

Parameters:
  `message` - The message describing this exception

#### ConversionException

    public ConversionException​(java.lang.String message,
                               java.lang.Throwable cause)

Construct a new exception with the specified message and root cause.

Parameters:
  `message` - The message describing this exception
  `cause` - The root cause of this exception

#### ConversionException

    public ConversionException​(java.lang.Throwable cause)

Construct a new exception with the specified root cause.

Parameters:
  `cause` - The root cause of this exception

### Method Detail

#### getCause

    public java.lang.Throwable getCause()

Return the root cause of this conversion exception.

Overrides:
  `getCause` in class `java.lang.Throwable`
Returns:
  the root cause of this conversion exception